Segmented zones output empty gerbers / don't prompt to change.

Bug #1823087 reported by Rene Poeschl on 2019-04-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KiCad
High
Jeff Young

Bug Description

KiCad 5.1 removed the switch for segmented/polygon fill mode from the GUI. If one opens an older design that was in segmented fill the prompt to update the zones is missing.

Plotting segmented zones outputs an empty zone outline

Rene Poeschl (poeschlr) wrote :

For convenience here a board that has a GND zone set to segmented (created with v4.6 as i do not have a 5.0 available any more.)

Rene Poeschl (poeschlr) wrote :

For reference this got originally reported on the forum: https://forum.kicad.info/t/where-is-the-fill-mode-option-in-kicad-5-1/16143

Jeff Young (jeyjey) wrote :

Did you try opening the board? It should ask you if you want to update it.

Rene Poeschl (poeschlr) wrote :

Ok the original reporter updated their report. It seems their manufacturer can not deal with polygon fill so they would wish the option to use segmented fill.

Might this be an option better suited for the gerber export than the zone itself?

summary: - Removal of zone fill options can leave zones stuck in segmented fill
- mode
+ Was the zone fill option removed on purpose?

Yes i opened the board in version 5.1. There was no question about updating. I even added a second zone for the second net to test how this behaves. (The old zone stays as it was and the new one gets polygon fill.)

Maybe for reference: I opened the project file with kicad and started pcb new from there.

---

But this is all besides the point. It seems at least one pcb manufacturer has still trouble with polygon fill. Removing this opition will therefore reduce the manufacturing options for kicad users which might not really be a good idea.

I would therefore suggest to add that selection back to the zone settings as a stopgap solution and maybe move this as an export option to the gerber export for future releases.

---

My version info:
Application: kicad
Version: 5.1.0-060a0da~80~ubuntu16.04.1, release build
Libraries:
    wxWidgets 3.0.2
    libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.8 libidn/1.32 librtmp/2.3
Platform: Linux 4.15.0-47-generic x86_64, 64 bit, Little endian, wxGTK
Build Info:
    wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+ 2.24
    Boost: 1.58.0
    OpenCASCADE Community Edition: 6.8.0
    Curl: 7.47.0
    Compiler: GCC 5.4.0 with C++ ABI 1009

Build settings:
    USE_WX_GRAPHICS_CONTEXT=OFF
    USE_WX_OVERLAY=OFF
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_PYTHON3=OFF
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

---

Version used to create the file:

Application: kicad
Version: 4.0.6 release build
wxWidgets: Version 3.0.2 (debug,wchar_t,compiler with C++ ABI 1011,GCC 7.1.1,wx containers,compatible with 2.8)
Platform: Linux 4.16.11-100.fc26.x86_64 x86_64, 64 bit, Little endian, wxGTK
Boost version: 1.63.0
Curl version: libcurl/7.53.1 NSS/3.35 zlib/1.2.11 libidn2/2.0.4 libpsl/0.18.0 (+libidn2/2.0.4) libssh2/1.8.0 nghttp2/1.21.1
         USE_WX_GRAPHICS_CONTEXT=OFF
         USE_WX_OVERLAY=OFF
         KICAD_SCRIPTING=OFF
         KICAD_SCRIPTING_MODULES=OFF
         KICAD_SCRIPTING_WXPYTHON=OFF
         USE_FP_LIB_TABLE=HARD_CODED_ON
         BUILD_GITHUB_PLUGIN=ON

Seth Hillbrand (sethh) wrote :

Yes. This was removed on purpose.

The attached board uses a polygon zone fill. Re-filling the zone will remove the tag.

I would be interested to know which manufacturer doesn't handle filled polygons.

Changed in kicad:
status: New → Won't Fix
David Pearce (halzia) wrote :

This now appears to be a request by the fab for a hatched fill, which 5.1 does not support

Rene Poeschl (poeschlr) wrote :

Back to the original topic:

It is not true that refilling the zone in 5.1 will result in it being converted to polygon fill.

Also note that even 5.1 still exports segmented fill zones as overlapping lines:

---

Version 4.0.6 project and export + screenshot in kicads gerbviewer (from version 4)

<a class="attachment" href="//kicad-info.s3.dualstack.us-west-2.amazonaws.com/original/2X/d/daba63a51b050da50d83e5a15b1c794ed890f838.zip">test_zone_fill.zip</a> (203.6 KB)

https://kicad-info.s3.dualstack.us-west-2.amazonaws.com/original/2X/7/7269096424b24d8d1f684d16ccf22f439d3fa1f8.png

---

Version 5.1 gerber and again a screenshot of the gerbers (made again in the version 4 gerber viewer to ensure all other settings are equal)

<a class="attachment" href="//kicad-info.s3.dualstack.us-west-2.amazonaws.com/original/2X/8/853ec72dbdb290e7167b0364b04786bc0178af91.zip">gerber_v5.1.zip</a> (2.5 KB)

https://kicad-info.s3.dualstack.us-west-2.amazonaws.com/original/2X/5/521427579cde4acb6cdcc26332b288f4c34df666.png

Seth Hillbrand (sethh) wrote :

@Rene- Can you please post the 5.1 version information? I just tested again and the gerber output I get from 5.1 does not look like yours. Also, re-filling gives me the attached warning box.

Rene Poeschl (poeschlr) wrote :

Seth i already have my version infos in #5

And no i do not get that warning.

I even ran DRC with "refill zones" selected.

Jeff Young (jeyjey) wrote :

That's the dialog I meant. (I thought it came up at open rather than at fill.)

But a search in master doesn't come up with it. Did it get accidentally dumped in a merge or something?

Rene Poeschl (poeschlr) wrote :

Here also the project after i refilled and saved with version 5.1

Seth Hillbrand (sethh) wrote :

@Jeff- `git log -S "legacy segment fill"` says it was removed in 7170720f3c when hatched zones were added. Still exists in 5.1.x

summary: - Was the zone fill option removed on purpose?
+ Segmented zones output empty gerbers / don't prompt to change.
Changed in kicad:
milestone: none → 6.0.0-rc1
status: Won't Fix → Triaged
importance: Undecided → High
tags: added: pcbnew
description: updated
Seth Hillbrand (sethh) wrote :

I've updated the bug report to fix this issue. Attached is an image of the gerber output in master at the moment with the test board Rene provided.

Rene Poeschl (poeschlr) wrote :

With current nightly if i refill i do not see any fill in pcb_new on that layer.
The zone still keeps the mode segmented but the actual segments are removed from the file.

Attached the result after saving in current nightly.

Version info:
Application: kicad
Version: 5.1.0-unknown-ce254d1~94~ubuntu16.04.1, release build
Libraries:
    wxWidgets 3.0.2
    libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.8 libidn/1.32 librtmp/2.3
Platform: Linux 4.15.0-47-generic x86_64, 64 bit, Little endian, wxGTK
Build Info:
    wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+ 2.24
    Boost: 1.58.0
    OpenCASCADE Community Edition: 6.8.0
    Curl: 7.47.0
    Compiler: GCC 5.4.0 with C++ ABI 1009

Build settings:
    USE_WX_GRAPHICS_CONTEXT=OFF
    USE_WX_OVERLAY=OFF
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_PYTHON3=OFF
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Rene Poeschl (poeschlr) wrote :

I found out how to get the mentioned dialog regarding updating to polygon fill. (In my 5.1) I need to open the zone properties dialog and press ok. However this does not seem to do anything. As next time i open the zone properties i get asked the same question again. (And the file does not change with regards to the zone settings.)

screencast: https://youtu.be/0HWwPnvRPiQ

Wayne Stambaugh (stambaughw) wrote :

@JP, did you remove the segment zone fill warning on purpose or was that an accident? We definitely do not want to change the zone fill type of existing boards without warning the user.

Rene Poeschl (poeschlr) wrote :

Maybe a question: should we split this up into multiple reports? One of them about the behavior of current nightlies. One of them for my strange 5.1 and one regarding if it is a good idea at all to remove this option completely.

@Wayne,

No I did not remove it.
And when using the 5.1 stable version, before the hatched zones is committed, I do not see the dialog showing the legacy warning.

Now about "painting" solid zones (and any filled shape), here is what the current Gerber file specification (chap 7.7, from Ucamco) says:
"Painted areas and pads are not suited for PCB fabrication. Sending files with painted to a PCB fabricator is quite disrespectful"

So, re-enable "painting" solid zones is just not acceptable.

Wayne Stambaugh (stambaughw) wrote :

@JP, I'm not suggesting we continue to support segment filled zones. My concern is that warning dialog disappeared. I'm surprised there are still board vendors out there who don't support polygon zone fills. I would look for a new board vendor.

If the warning message is shown by the zone settings dialog, It was certainly lost when I replaced the old dialog by the new one.

The best way is just to fill by polygon any non hatched zone
(Note edit any zone in current nightly version set the fill option to solid or hatched, never to use segments)

For the board vendor issue, I am not convinced by the report:
Although the reason I added the fill by segment option is the fact I was unsure solid polygons were perfectly supported, this is the first time I am hearing such an issue, and filled polygons exist since a very long time (since RS274X Gerber format, more than 20 years ago).
In fact, we do not really know what is the *actual* issue.

Rene Poeschl (poeschlr) wrote :

@jp-charras wrote:

> If the warning message is shown by the zone settings dialog, It was certainly lost when I replaced the old dialog by the new one.

The screencast showcasing that the error is part of the zone settings is from a 5.1 release build not from a nightly build. (The 5.1 release for ubuntu 16.04 as provided by the ppa see version info in post #5.)

The 5.1 version has a bug in zone settings dialog that prevent to convert filled by segment zones to filled by solid polygons.
I fixed it in 5.1.1.

The current zone settings dialog has a zone fill option, therefore there are no warning message.

Jeff Young (jeyjey) wrote :

JP has a good point: now that we need the Fill wxChoice, we might as well add segments to it. I am going to make it conditional on the zone already having a segment fill, though, so it will only appear in the legacy case.

Comment #23 also suggests the 5.1 issue was fixed so once I implement the above I'm going to close the bug. Anything found subsequently should be logged separately as this one's getting a bit unwieldy.

Changed in kicad:
assignee: nobody → Jeff Young (jeyjey)
Jeff Young (jeyjey) on 2019-04-09
Changed in kicad:
status: Triaged → In Progress
Seth Hillbrand (sethh) wrote :

@Jeff- I have a preference to avoid the extra code if there isn't a driver for keeping segment fills. The original report was a mistranslation. Open and convert to polygon fills would allow us to eventually remove the ZFM_SEGMENTS sections.

Otherwise, we face bug reports for corner cases when this doesn't work correctly in the future.

@Jeff,

Allowing painting areas in 2019 is not really acceptable.
Moreover, to paint a zone by segments, we need a minimal zone thickness (we cannot paint a solid area with 0 width segments).

This is a constraint I'll like to be able to remove.

Jeff Young (jeyjey) wrote :

So you guys are saying put the warning dialog back, but move it from Edit Zone to File Open?

Wayne Stambaugh (stambaughw) wrote :

I would think any time refilling the zone will clobber the current zone segment filling would be the way to go. If the user doesn't change the zone filling, I would think there would be no reason to warn the user.

Wayne is right: this is the best and the most easy way.

Seth Hillbrand (sethh) wrote :

@Wayne-

Do we require this level of backwards compatibility? As in, do we require that v6 not only read the segment fill polygon but also output segments? If so, I worry that we paint ourselves into a corner.

I have a preference for warning the user that the board uses segment fills when opening. Then forcing a zone clear when opening the board in v6. The user-initiated refill action will then fill the zone with a polygon fill.

This would allow us to get rid of ZFM_SEGMENTS handling. Anything else requires most of the same code, including output handling and will generate bug reports when it doesn't work as expected.

Jeff Young (jeyjey) wrote :

Don't we fill zones in a thread? If so, putting up a dialog during refill would be a lot of work....

Jeff Young (jeyjey) wrote :

Zone filling is indeed threaded. However, we unfill all zones first, so we'd have to check for segmented zones there anyway. And the check-for-out-of-date stuff would need revision since a cancel would also have to affect that.

For @Seth's comment #30, supporting already-filled segment zones is just handling a vector of line-segments, right? And since everything already has to handle copper line-segments, that doesn't sound too onerous. The big hit would be the fill algorithm, which under JP/Wayne's plan would go away.

(BTW: the extra cost of JP/Wayne's plan is no longer material -- I have both running in my tree. We just need to decide which one to go with.)

Seth Hillbrand (sethh) wrote :

It's not so much a question of the code difficulty, just the matter of bringing all of the various ZFM_SEGMENTS section up to date indefinitely into the future. This means handling printing, plotting, sketch display, connectivity, view items, click selection, etc. All of these are different for the segment fills. If we allow segments past loading, doing half measures of only allowing plotting is asking for bug reports, I fear.

Jeff Young (jeyjey) wrote :

Here's the two different implementation if anyone wants to check them out.

Jeff Young (jeyjey) wrote :

Just noticed from the original bug report:

"Plotting segmented zones outputs an empty zone outline"

I checked, and it is indeed currently the case. Is this something that was broken recently, or is this a reason we need to go with Seth's approach?

@Jeff,
What is the purpose of your patch?

For me, painted areas is a relic of the past, and they have to be replaced by solid polygons in all cases.

Trying to maintain painted areas is now just a bug.

Jeff Young (jeyjey) wrote :

@JP, there are two different solutions in the patch. One replaces painted areas on board-open, the other only when zones are filled. Both warn the user and allow them to cancel.

Jeff Young (jeyjey) wrote :

Judging by JP's statement, he favours no longer supporting existing segmented zones (ie: converting on file-open). I'm now also in this camp. @Wayne?

Wayne Stambaugh (stambaughw) wrote :

@Jeff, my preference would be the latter. If the user doesn't refill the zone, then no changes should be made to the zone filling. If user is just opening the board to view it (unless you can no longer view boards with segment filled zones in which case that is different issue), forcing a refill on open doesn't make a lot of sense.

Jeff Young (jeyjey) wrote :

@Wayne, currently you can't plot a segment-filled zone. I haven't been able to ascertain if that's just a recently-introduced bug, or something we simply don't support anymore.

But even if it's a bug, it certainly begs Seth's question "do we really want to spend time fixing bugs in this"?

Jeff Young (jeyjey) wrote :

(Just to be clear, segment-filled zones to display correctly today. They just plot empty.)

Jeff Young (jeyjey) wrote :

^to^do

Wayne Stambaugh (stambaughw) wrote :

@Jeff, my preference would have been to leave the segment filled zone plotting alone since it was proven code and add the warning when plotting gerbers asking the user if they wanted to convert all segment filled zones to polygon filled zones. Now that plotting segment filled zones has be removed, the problem is far more difficult and far less less user friendly. How much trouble would it be to restore the segment filled zone plotting code? I understand JP's concerns about sending segment filled zone plots to a board vendor but how serious of a problem is that really? It seems like the cure was worse than the disease. From the comments in this bug report there is a least one board vendor that still doesn't support polygon fills and requires segment filled zones so there are probably others. Do we really want to force users either use an older version of KiCad or find a new board vendor?

There are 2 very different problems:

1 - zone plotting works fine with painted zones.
However the ZONE_FILLER has a bug: when the fill mode is SEGMENTS, in fact the filled polygons list is cleared but not recreated, so the list filled polygon list and the list of segments to fill the zone are empty.
I just fixed that (it was a basic fix).

Because the plot dialog ask for refilling zone, once the user has refilled the zone from the dialog (or the B key), the entire fill data is lost.

To be clear:
 when filled by polygons, the zone contains the list of solid polygons.
 when filled by segments, the zone contains this list of solid polygons *and* a list of segments.

2 - Now because painting areas is fully deprecated, always using only the list of polygons should not change anything for the user.

About the issue with the board vendor "that doesn't support polygon fills", I am pretty sure this is not the actual problem, because filled polygons are also used to plot pads.

Seth Hillbrand (sethh) wrote :

To be clear, the comment from #4 was the result of a mistranslation. The board house actually wanted a grid fill rather than solid copper.

"a grid fill"
Do you mean a painted solid area or a hatched pattern?

An I am still unsure for the actual issue, because we do not really know the message sent by the board vendor.

On 4/10/2019 12:12 PM, jean-pierre charras wrote:
> There are 2 very different problems:
>
> 1 - zone plotting works fine with painted zones.
> However the ZONE_FILLER has a bug: when the fill mode is SEGMENTS, in fact the filled polygons list is cleared but not recreated, so the list filled polygon list and the list of segments to fill the zone are empty.
> I just fixed that (it was a basic fix).

Thanks

>
> Because the plot dialog ask for refilling zone, once the user has
> refilled the zone from the dialog (or the B key), the entire fill data
> is lost.
>
> To be clear:
> when filled by polygons, the zone contains the list of solid polygons.
> when filled by segments, the zone contains this list of solid polygons *and* a list of segments.

When the next zone fill occurs with zones defined as segment fills, is
the old segment fill information removed from the board? If we don't
support segment fills any longer, then all segment zone filling
information should be removed from the board.

>
>
> 2 - Now because painting areas is fully deprecated, always using only the list of polygons should not change anything for the user.
>
>
> About the issue with the board vendor "that doesn't support polygon fills", I am pretty sure this is not the actual problem, because filled polygons are also used to plot pads.
>

Wayne Stambaugh (stambaughw) wrote :

So the board house cannot handle solid fills. That is significantly
different than the board house cannot handle polygon fills. Even our
hatched filling uses polygons. I hope we have this straight now ;)

On 4/10/2019 12:24 PM, Seth Hillbrand wrote:
> To be clear, the comment from #4 was the result of a mistranslation.
> The board house actually wanted a grid fill rather than solid copper.
>

Jeff Young (jeyjey) wrote :

OK, so the plot bug is fixed (thanks JP!).

But I'm still unclear on what we want to do. I think this is a fairly complete list of options:

1) Leave everything the way it is. Continue to support segment filling & plotting for old boards.
2) Put the warning back in the Edit Zone path (which gives the user the option to convert to polygons but doesn't require it).
3) Silently convert to polygons when the zone is edited.
4) Remove segment filling code and put a warning in Zone Fill path (the user can either convert or cancel the fill).
5) Remove segment filling code and silently convert to polygons when filling.
6) Remove all segment code and put a warning in the File Open path (the user can either convert or cancel the open).
7) Remove all segment code and silently convert on File Open.

My first choice would be (6), followed by (4) and (7) in no particular order.

But I could live with any but (1), which doesn't give the user a way to update their segment fills.

Wayne Stambaugh (stambaughw) wrote :

@JP, I looked at your fix and zone filling and if I'm understanding this correctly we are creating both a polygon fill *and* a segment fill when the zone fill mode is ZFM_SEGMENTS. What happens in this case when the gerbers are plotted? Does it plot the polygon fill only, the segment fill only, or both? If it only plots the polygon fill, is it really necessary to keep the segment fill information?

Yes, in ZFM_SEGMENTS, we need the polygons:
- to calculate the segment fill
- to plot the outlines of the solid area.

And we need the segment filling list contains only the horizontal segments used to paint the area.
Note also in legacy canvas the segments are used to draw the solid area.
(Of course these segments could be rebuild after loading the board and not stored in file)

In other options the polygons are used both to plot the outlines of the solid area and the solid area itself.

I really think any other option than silently removing the segment section of zones and replacing ZFM_SEGMENTS by ZFM_POLYGON is just wasting our time.

The reason I added the ZFM_SEGMENTS as option to zone is the fact I did not have an actual experience of potential issues when using only polygons in gerber files, so I added this option just in case.

I never heard of issues when using polygons only to create solid areas.
Painted areas are now prohibited.

Moreover I am pretty sure most of users do not really know the difference between these 2 options.

So it is really time to silently remove ZFM_SEGMENTS, the associated code and the segment fill information in board files.
It should be made since a long time.

Jeff Young (jeyjey) wrote :

I'm sympathetic to JP's argument. I'd now like to propose:

8) Remove all segment code and silently convert to on File Open (but don't re-fill).

This will mean legacy users will have to re-fill by hand (but then I think we should dump the legacy canvas in 6.0 anyway).

I agree with 8)

About legacy canvas: no problem: if the ZFM_SEGMENTS is removed, legacy canvas will use the polygon fill, like with ZFM_POLYGONS option.

Wayne Stambaugh (stambaughw) wrote :

@JP, maybe I'm not seeing the answer in your repose to the question about plotting gerbers. Are gerbers plotted with segments when the zone fill type is ZFM_SEGMENT? In other words, if I opened an old board file with segment zone filling, would I still get the same gerber output or is the zone refilled with polygons and the gerbers plotted with the polygon fill? If it's the latter, than Jeff's 8) suggestion makes sense.

Wayne Stambaugh (stambaughw) wrote :

On 4/11/2019 9:02 AM, Wayne Stambaugh wrote:
> @JP, maybe I'm not seeing the answer in your repose to the question
                                            ^^ response ^^
> about plotting gerbers. Are gerbers plotted with segments when the zone
> fill type is ZFM_SEGMENT? In other words, if I opened an old board file
> with segment zone filling, would I still get the same gerber output or
> is the zone refilled with polygons and the gerbers plotted with the
> polygon fill? If it's the latter, than Jeff's 8) suggestion makes
> sense.
>

Currently, if a zone fill type is ZFM_SEGMENT, the gerber uses these segments to fill the zone. It does not use solid polygon.

In stable 5.10 version, there is no way to change the zone fill type.
In master 5.10 (6.01?) version, the zone fill type is set when editing the zone parameters.

So the stable 5.10 version needs a fix.

Wayne Stambaugh (stambaughw) wrote :

@JP, sorry but I have one more question. Do the gal canvases render zones filled with segments correctly?

Jeff Young (jeyjey) wrote :

Any time you edit a segment zone in 5.1 it will ask if you want to convert it.

Jeff Young (jeyjey) wrote :

I did a trial rip-out of the segment support. It's 635 lines of code spread over 43 files. That's a non-trivial tax on development....

@Jeff,
Yes, I missed the prompt dialog when closing the zone dialog by OK in stable 5.10.

@Wayne,
The gal canvas uses only the polygons, and ignore the paint segments.
Therefore it does not test the ZFM_SEGMENT setting.

The gal canvas of course render zones filled with segments correctly, it just does not use the extra data (paint segments) that are used only in plot files.

Jeff Young (jeyjey) wrote :

@Wayne, can I commit plan (8) (comment #52)? JP is on board (comment #53), and I'm pretty sure Seth is as well.

Wayne Stambaugh (stambaughw) wrote :

I'm not comfortable with the "silent" part. I'm fine with forcing the user to convert segment filled zones to polygon filled zones. The user should be warned that their boards will be irrevocably changed to polygon fills and that if they still need to use segment filled zones they will have to use an older version of KiCad. There should also be an option to abort the file load if users do not want to accept the change. Once the conversion to polygon is complete and the segment filling is blown away, I cannot think of any reason not to refill all zones.

Jeff Young (jeyjey) wrote :

Will do. (That's (6) then.)

Seth Hillbrand (sethh) wrote :

Hi All- This may be a good time to implement a larger "These objects have been converted" dialog rather than a single popup. This will almost certainly not be the last time we convert objects from older files, so it might make sense to have the popup say something like

"This file was created by an older version of KiCad. Saving will convert this file to the current version, which cannot be opened by older versions of KiCad."

Then, after conversion, we have a list box that gives a list of successful and failed (if exists) conversion actions.

Thoughts?

Jeff Young (jeyjey) wrote :

I like Seth's plan, but for the next instance.

This one's odd because older versions of Kicad WILL still open the file. We're just converting a long-deprecated feature to another feature that's been around for a long time.

KiCad Janitor (kicad-janitor) wrote :

Fixed in revision dae41b7460464720c78a10215a64b9303fdee00f
https://git.launchpad.net/kicad/patch/?id=dae41b7460464720c78a10215a64b9303fdee00f

Changed in kicad:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers